How to install older Plesk versions?

Created:

2016-11-16 13:26:14 UTC

Modified:

2017-08-16 17:36:24 UTC

7

Was this article helpful?


Have more questions?

Submit a request

How to install older Plesk versions?

Applicable to:

  • Plesk for Windows
  • Plesk for Linux

Question

Plesk Installer offers only the latest version of Plesk.

How to install an older Plesk version?

Answer

Note: It is not possible to install previous Plesk version if Plesk is already installed on a server.

Installation of the latest version of Plesk is recommended.

  1. Download Plesk Installer:

    • For Linux:

      # wget https://autoinstall.plesk.com/plesk-installer
      # chmod +x plesk-installer
    • For Windows via a browser.

  2. Run Plesk Installer with the --all-versions key:

    • For Linux:

      # plesk-installer --all-versions
    • For Windows via a command prompt:

      plesk-installer.exe --console --all-versions
  3. Select a desirable Plesk release using the numbers from 1 to 10:

    1. [*] Plesk
      2. ( ) Plesk Onyx 17.8.2 (testing)
      3. ( ) Plesk Onyx 17.8.1 (testing)
      4. (*) Plesk Onyx 17.5.3
      5. ( ) Plesk Onyx 17.0.17 (Stable)
      6. ( ) Plesk Onyx 17.0.16 (testing)
      7. ( ) Plesk Onyx 17.0.15 (testing)
      8. ( ) Plesk 12.5.30 (Stable)
      9. ( ) Plesk 12.0.18 (Stable)
  4. To list all available keys, run Plesk Installer with the --help key:

    For Linux:

    # plesk-installer --help

    For Windows via a command prompt:

    plesk-installer.exe --help-options
Have more questions? Submit a request
Please sign in to leave a comment.